MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
MyGUI::delegates::CMultiDelegate4< TP1, TP2, TP3, TP4 > Class Template Reference

`#include <MyGUI_Delegate.h>`

Inheritance diagram for MyGUI::delegates::CMultiDelegate4< TP1, TP2, TP3, TP4 >:
[legend]

## Public Types
typedef IDelegate4< TP1, TP2, TP3, TP4 > | IDelegate
typedef std::list< IDelegate * > | ListDelegate
typedef ListDelegate::iterator | ListDelegateIterator
typedef ListDelegate::const_iterator | ConstListDelegateIterator

## Public Member Functions
| CMultiDelegate4 ()
| ~CMultiDelegate4 ()
bool | empty () const
void | clear ()
void | clear (IDelegateUnlink *_unlink)
CMultiDelegate4< TP1, TP2, TP3, TP4 > & | operator+= (IDelegate *_delegate)
CMultiDelegate4< TP1, TP2, TP3, TP4 > & | operator-= (IDelegate *_delegate)
void | operator() (TP1 p1, TP2 p2, TP3 p3, TP4 p4)
| CMultiDelegate4 (const CMultiDelegate4< TP1, TP2, TP3, TP4 > &_event)
CMultiDelegate4< TP1, TP2, TP3, TP4 > & | operator= (const CMultiDelegate4< TP1, TP2, TP3, TP4 > &_event)
CMultiDelegate4< TP1, TP2, TP3, TP4 > & | operator= (IDelegate *_delegate)

## Detailed Description

### template<typename TP1, typename TP2, typename TP3, typename TP4>
class MyGUI::delegates::CMultiDelegate4< TP1, TP2, TP3, TP4 >

Definition at line 203 of file MyGUI_Delegate.h.

## Member Typedef Documentation

template<typename TP1, typename TP2, typename TP3, typename TP4>

typedef ListDelegate::const_iterator MyGUI::delegates::CMultiDelegate4< TP1, TP2, TP3, TP4 >::ConstListDelegateIterator

Definition at line 209 of file MyGUI_Delegate.h.

template<typename TP1, typename TP2, typename TP3, typename TP4>

typedef IDelegate4<TP1, TP2, TP3, TP4> MyGUI::delegates::CMultiDelegate4< TP1, TP2, TP3, TP4 >::IDelegate

Definition at line 206 of file MyGUI_Delegate.h.

template<typename TP1, typename TP2, typename TP3, typename TP4>

typedef std::list<IDelegate* > MyGUI::delegates::CMultiDelegate4< TP1, TP2, TP3, TP4 >::ListDelegate

Definition at line 207 of file MyGUI_Delegate.h.

template<typename TP1, typename TP2, typename TP3, typename TP4>

typedef ListDelegate::iterator MyGUI::delegates::CMultiDelegate4< TP1, TP2, TP3, TP4 >::ListDelegateIterator

Definition at line 208 of file MyGUI_Delegate.h.

## Constructor & Destructor Documentation

template<typename TP1, typename TP2, typename TP3, typename TP4>

MyGUI::delegates::CMultiDelegate4< TP1, TP2, TP3, TP4 >::CMultiDelegate4 | ( |  | ) |
| inline

Definition at line 211 of file MyGUI_Delegate.h.

template<typename TP1, typename TP2, typename TP3, typename TP4>

MyGUI::delegates::CMultiDelegate4< TP1, TP2, TP3, TP4 >::~CMultiDelegate4 | ( |  | ) |
| inline

Definition at line 212 of file MyGUI_Delegate.h.

template<typename TP1, typename TP2, typename TP3, typename TP4>

MyGUI::delegates::CMultiDelegate4< TP1, TP2, TP3, TP4 >::CMultiDelegate4 | ( | const CMultiDelegate4< TP1, TP2, TP3, TP4 > & | _event | ) |
| inline

Definition at line 296 of file MyGUI_Delegate.h.

## Member Function Documentation

template<typename TP1, typename TP2, typename TP3, typename TP4>

void MyGUI::delegates::CMultiDelegate4< TP1, TP2, TP3, TP4 >::clear | ( |  | ) |
| inline

Definition at line 226 of file MyGUI_Delegate.h.

template<typename TP1, typename TP2, typename TP3, typename TP4>

void MyGUI::delegates::CMultiDelegate4< TP1, TP2, TP3, TP4 >::clear | ( | IDelegateUnlink * | _unlink | ) |
| inline

Definition at line 238 of file MyGUI_Delegate.h.

template<typename TP1, typename TP2, typename TP3, typename TP4>

bool MyGUI::delegates::CMultiDelegate4< TP1, TP2, TP3, TP4 >::empty | ( |  | ) | const
| inline

Definition at line 217 of file MyGUI_Delegate.h.

template<typename TP1, typename TP2, typename TP3, typename TP4>

void MyGUI::delegates::CMultiDelegate4< TP1, TP2, TP3, TP4 >::operator() | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3,
|  | TP4 | p4
| ) |  |
| inline

Definition at line 279 of file MyGUI_Delegate.h.

template<typename TP1, typename TP2, typename TP3, typename TP4>

CMultiDelegate4<TP1, TP2, TP3, TP4>& MyGUI::delegates::CMultiDelegate4< TP1, TP2, TP3, TP4 >::operator+= | ( | IDelegate * | _delegate | ) |
| inline

Definition at line 250 of file MyGUI_Delegate.h.

template<typename TP1, typename TP2, typename TP3, typename TP4>

CMultiDelegate4<TP1, TP2, TP3, TP4>& MyGUI::delegates::CMultiDelegate4< TP1, TP2, TP3, TP4 >::operator-= | ( | IDelegate * | _delegate | ) |
| inline

Definition at line 263 of file MyGUI_Delegate.h.

template<typename TP1, typename TP2, typename TP3, typename TP4>

CMultiDelegate4<TP1, TP2, TP3, TP4>& MyGUI::delegates::CMultiDelegate4< TP1, TP2, TP3, TP4 >::operator= | ( | const CMultiDelegate4< TP1, TP2, TP3, TP4 > & | _event | ) |
| inline

Definition at line 307 of file MyGUI_Delegate.h.

template<typename TP1, typename TP2, typename TP3, typename TP4>

CMultiDelegate4<TP1, TP2, TP3, TP4>& MyGUI::delegates::CMultiDelegate4< TP1, TP2, TP3, TP4 >::operator= | ( | IDelegate * | _delegate | ) |
| inline

Deprecated:
  "use : operator += "

Definition at line 321 of file MyGUI_Delegate.h.

The documentation for this class was generated from the following file:

- MyGUI_Delegate.h